%global plugin_name workflow-durable-task-step

Summary:    Pipeline steps locking agents and workspaces for Jenkins
Name:       jenkins-plugin-%{plugin_name}
Version:    2.5
Release:    1%{?dist}
License:    MIT
# URL is correct
URL:        https://wiki.jenkins-ci.org/display/JENKINS/Pipeline+Nodes+and+Processes+Plugin
# AltURL:   https://github.com/jenkinsci/workflow-durable-task-step-plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 1.642.3

%description
Pipeline steps locking agents and workspaces, and running 
external processes that may survive a Jenkins restart or slave reconnection.


%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Thu Nov 03 2016 Troy Dawson <tdawson@redhat.com> - 2.5-1
- Update to latest version

* Tue Jun 14 2016 Troy Dawson <tdawson@redhat.com> - 2.1-1
- Initial package
